LLVM: lldb::SBPlatform Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBPlatform Class Reference

`#include <SBPlatform.h>`

Collaboration diagram for lldb::SBPlatform:
[legend]

## Public Member Functions
| SBPlatform ()
| SBPlatform (const char *platform_name)
| ~SBPlatform ()
bool | IsValid () const
void | Clear ()
const char * | GetWorkingDirectory ()
bool | SetWorkingDirectory (const char *path)
const char * | GetName ()
SBError | ConnectRemote (SBPlatformConnectOptions &connect_options)
void | DisconnectRemote ()
bool | IsConnected ()
const char * | GetTriple ()
const char * | GetHostname ()
const char * | GetOSBuild ()
const char * | GetOSDescription ()
uint32_t | GetOSMajorVersion ()
uint32_t | GetOSMinorVersion ()
uint32_t | GetOSUpdateVersion ()
SBError | Put (SBFileSpec &src, SBFileSpec &dst)
SBError | Get (SBFileSpec &src, SBFileSpec &dst)
SBError | Install (SBFileSpec &src, SBFileSpec &dst)
SBError | Run (SBPlatformShellCommand &shell_command)
SBError | Launch (SBLaunchInfo &launch_info)
SBError | Kill (const lldb::pid_t pid)
SBError | MakeDirectory (const char *path, uint32_t file_permissions=eFilePermissionsDirectoryDefault)
uint32_t | GetFilePermissions (const char *path)
SBError | SetFilePermissions (const char *path, uint32_t file_permissions)
SBUnixSignals | GetUnixSignals () const

## Protected Member Functions
lldb::PlatformSP | GetSP () const
void | SetSP (const lldb::PlatformSP &platform_sp)
SBError | ExecuteConnected (const std::function< lldb_private::Error(const lldb::PlatformSP &)> &func)

## Protected Attributes
lldb::PlatformSP | m_opaque_sp

## Friends
class | SBDebugger
class | SBTarget

## Detailed Description

Definition at line 87 of file SBPlatform.h.

## Constructor & Destructor Documentation

lldb::SBPlatform::SBPlatform | ( |  | ) |

lldb::SBPlatform::SBPlatform | ( | const char * | platform_name | ) |

lldb::SBPlatform::~SBPlatform | ( |  | ) |

## Member Function Documentation

void lldb::SBPlatform::Clear | ( |  | ) |

SBError lldb::SBPlatform::ConnectRemote | ( | SBPlatformConnectOptions & | connect_options | ) |

void lldb::SBPlatform::DisconnectRemote | ( |  | ) |

SBError lldb::SBPlatform::ExecuteConnected | ( | const std::function< lldb_private::Error(const lldb::PlatformSP &)> & | func | ) |
| protected

SBError lldb::SBPlatform::Get | ( | SBFileSpec & | src,
|  | SBFileSpec & | dst
| ) |  |

uint32_t lldb::SBPlatform::GetFilePermissions | ( | const char * | path | ) |

const char* lldb::SBPlatform::GetHostname | ( |  | ) |

const char* lldb::SBPlatform::GetName | ( |  | ) |

const char* lldb::SBPlatform::GetOSBuild | ( |  | ) |

const char* lldb::SBPlatform::GetOSDescription | ( |  | ) |

uint32_t lldb::SBPlatform::GetOSMajorVersion | ( |  | ) |

uint32_t lldb::SBPlatform::GetOSMinorVersion | ( |  | ) |

uint32_t lldb::SBPlatform::GetOSUpdateVersion | ( |  | ) |

lldb::PlatformSP lldb::SBPlatform::GetSP | ( |  | ) | const
| protected

const char* lldb::SBPlatform::GetTriple | ( |  | ) |

SBUnixSignals lldb::SBPlatform::GetUnixSignals | ( |  | ) | const

const char* lldb::SBPlatform::GetWorkingDirectory | ( |  | ) |

SBError lldb::SBPlatform::Install | ( | SBFileSpec & | src,
|  | SBFileSpec & | dst
| ) |  |

bool lldb::SBPlatform::IsConnected | ( |  | ) |

bool lldb::SBPlatform::IsValid | ( |  | ) | const

SBError lldb::SBPlatform::Kill | ( | const lldb::pid_t | pid | ) |

SBError lldb::SBPlatform::Launch | ( | SBLaunchInfo & | launch_info | ) |

SBError lldb::SBPlatform::MakeDirectory | ( | const char * | path,
|  | uint32_t | file_permissions = `eFilePermissionsDirectoryDefault`
| ) |  |

SBError lldb::SBPlatform::Put | ( | SBFileSpec & | src,
|  | SBFileSpec & | dst
| ) |  |

SBError lldb::SBPlatform::Run | ( | SBPlatformShellCommand & | shell_command | ) |

SBError lldb::SBPlatform::SetFilePermissions | ( | const char * | path,
|  | uint32_t | file_permissions
| ) |  |

void lldb::SBPlatform::SetSP | ( | const lldb::PlatformSP & | platform_sp | ) |
| protected

bool lldb::SBPlatform::SetWorkingDirectory | ( | const char * | path | ) |

## Friends And Related Function Documentation

friend class SBDebugger
| friend

Definition at line 151 of file SBPlatform.h.

friend class SBTarget
| friend

Definition at line 152 of file SBPlatform.h.

## Member Data Documentation

lldb::PlatformSP lldb::SBPlatform::m_opaque_sp
| protected

Definition at line 161 of file SBPlatform.h.

The documentation for this class was generated from the following file:

- SBPlatform.h